import java.awt.Color;

public class Circle extends Shape {
	public Circle(Color aColor, double xCenter, double yCenter, double radius) {
		super(aColor);
		myX = xCenter; myY = yCenter; 
		myRadius = radius;
	}
	
	public double getRadius() { return myRadius; }
	public Point  getCenter() { return new Point(myX, myY); }
	
	public void draw(Plotter plot) {
		double diameter = myRadius * 2;
		plot.setPenColor( super.getColor() );
		plot.drawOval(myX, myY, diameter, diameter);
	}

	private double myRadius, myX, myY;
}
